> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/0resmon-1/frkn-resources/frkn-pirate-heist/config.md).

# Config

## **Config Settings**

Below is a simple explanation of the main config sections found in the script.

***

### **Contracts**

```lua
FRKN.Contracts[1]
```

Defines the Pirate Heist contract.

Important fields:

* `name` – display name
* `category` – heist category
* `requirements` – required item to start (compass)
* `event` – event triggered when starting the heist
* `timeOut` – time limit
* `rank` – crew ranks

***

### **ItemList**

```lua
ItemList = {
  ["pirate_tablet"] = {...},
  ["compass"] = {...},
}
```

These are required items for the script to function.

***

### **targetSettings**

```lua
targetSettings = {
    name = "qb-target",
    TargetText = {
        npcInteract = "Talk",
        collectGold = "Collect the money",
    },
}
```

* Change `name` to `"ox_target"` if needed
* Edit target labels here

***

### **Ship Settings**

```lua
shipCoords
shipHeading
```

Defines where the pirate ship spawns.

***

### **Loot Coordinates**

```lua
weedPallets
trolleyCoords
cases
```

These represent all lootable objects on the ship.

You may add/remove/edit positions as needed.

***

### **Paintings**

Each painting includes:

* reward item
* cutting position
* object model
* rotation
* taken status

***

### **NPC Settings**

NPCs are controlled under:

```lua
Coords["shipSpawns"][1].npcs
```

Each NPC has:

* model
* coords
* heading
* weapon
* armor/health
* accuracy
* flareShooter (true/false)

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/frkn-resources/frkn-pirate-heist/config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
